### * Options

## public void rita.wordnet.RiWordnet.ignoreCompoundWords(boolean)
## public void rita.wordnet.RiWordnet.ignoreUpperCaseWords(boolean)
## public boolean rita.wordnet.RiWordnet.isIgnoringCompoundWords()
## public boolean rita.wordnet.RiWordnet.isIgnoringUpperCaseWords()

### * Predicates

## public boolean rita.wordnet.RiWordnet.isAdjective(java.lang.String)
## public boolean rita.wordnet.RiWordnet.isAdverb(java.lang.String)
## public boolean rita.wordnet.RiWordnet.isVerb(java.lang.String)
## public boolean rita.wordnet.RiWordnet.isNoun(java.lang.String)
## public boolean rita.wordnet.RiWordnet.exists(java.lang.String)

### * Part of Speech

## public java.lang.String[] rita.wordnet.RiWordnet.getPos(java.lang.String)
## public java.lang.String rita.wordnet.RiWordnet.getPos(int)
## public java.lang.String rita.wordnet.RiWordnet.getBestPos(java.lang.String)

getPos <-
function(x)
    .jcall(wordnet(), "[S", "getPos", to_str_or_int(x))

getBestPos <-
function(word)
    .jcall(wordnet(), "S", "getBestPos", to_str(word))
    
## Returns an array of all parts-of-speech ordered according to their
## polysemy count, returning the pos with the most different senses in
## the first position, etc.

## Finds the most-common part-of-speech for the word, according to its
## polysemy count, returning the pos for the version of the word with
## the most different senses.
## Returns: java.lang.String - single-char String for the most common
## part of speech ("a" = adjective, "n" = noun, "r" = adverb, "v" =
## verb), or null if not found.

### * Sense

## With RiTa.WordNet 029 this throws an error in case of no match.

getSenseIds <- function(word, pos)
    tryCatch(.jcall(wordnet(), "[I", "getSenseIds",
                    to_str(word), to_str(pos)),
             error = integer())
    
getSenseCount <- function(word, pos)
    .jcall(wordnet(), "I", "getSenseCount",
           to_str(word), to_str(pos))


## Returns String[] of unique ids, one for each sense of word with pos,
## or null if none are found.
## A Wordnet 'sense' refers to a specific Wordnet meaning and maps 1-1
## to the concept of synsets. Each 'sense' of a word exists in a
## different synset. 
## For more info, see: {@link http://wordnet.princeton.edu/gloss}

## Return the # of senses (polysemy) for a given word/pos. A 'sense'
## refers to a specific Wordnet meaning and maps 1-1 to the concept of
## synsets. Each 'sense' of a word exists in a different synset. 
## For more info, see: {@link http://wordnet.princeton.edu/gloss}

### * Stems

## public boolean rita.wordnet.RiWordnet.isStem(java.lang.String,java.lang.CharSequence)
## public java.lang.String[] rita.wordnet.RiWordnet.getStems(java.lang.String,java.lang.CharSequence)
