## All of these could get an integer maxResults argument, but this does
## not seem to work: e.g.,
##   .jcall(wordnet(), "[S", "getAnagrams", "table", "n", as.integer(1L))

## By default these would give NULL in case of no match: we prefer to
## consistenly return character vectors.

## public java.lang.String[] rita.wordnet.RiWordnet.getAnagrams(java.lang.String,java.lang.String,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getAnagrams(java.lang.String,java.lang.String)

getAnagrams <-
function(word, pos, maxResults = MAX_INT)
    as.character(.jcall(wordnet(), "[S", "getAnagrams",
                        to_str(word), to_str(pos), to_int(maxResults)))

## Returns all full anagram matches for the specified word and pos

## public java.lang.String[] rita.wordnet.RiWordnet.getContains(java.lang.String,java.lang.String,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getContains(java.lang.String,java.lang.String)

getContains <-
function(word, pos, maxResults = MAX_INT)
    as.character(.jcall(wordnet(), "[S", "getContains",
                        to_str(word), to_str(pos), to_int(maxResults)))

## Returns all 'contains' matches for the specified word and pos

## public java.lang.String[] rita.wordnet.RiWordnet.getEndsWith(java.lang.String,java.lang.String,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getEndsWith(java.lang.String,java.lang.String)

getEndsWith <-
function(word, pos, maxResults = MAX_INT)
    as.character(.jcall(wordnet(), "[S", "getEndsWith",
                        to_str(word), to_str(pos), to_int(maxResults)))

## Returns up to maxResults of the specified pos  ending with the given
## word.

## public java.lang.String[] rita.wordnet.RiWordnet.getStartsWith(java.lang.String,java.lang.String,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getStartsWith(java.lang.String,java.lang.String)

getStartsWith <-
function(word, pos, maxResults = MAX_INT)
    as.character(.jcall(wordnet(), "[S", "getStartsWith",
                        to_str(word), to_str(pos), to_int(maxResults)))

## Returns up to maxResults of the specified pos  starting with the
## given word.

## public java.lang.String[] rita.wordnet.RiWordnet.getRegexMatch(java.lang.String,java.lang.String,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getRegexMatch(java.lang.String,java.lang.String)

getRegexMatch <-
function(word, pos, maxResults = MAX_INT)
    as.character(.jcall(wordnet(), "[S", "getRegexMatch",
                        to_str(word), to_str(pos), to_int(maxResults)))

## Returns up to maxResults of the specified pos  matching the the given
## regular expression pattern.

## public java.lang.String[] rita.wordnet.RiWordnet.getSoundsLike(java.lang.String,java.lang.String,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getSoundsLike(java.lang.String,java.lang.String)

getSoundsLike <-
function(word, pos, maxResults = MAX_INT)
    as.character(.jcall(wordnet(), "[S", "getSoundsLike",
                        to_str(word), to_str(pos), to_int(maxResults)))

## Returns up to maxResults of the specified pos  that match the soundex
## code of the given word.

## public java.lang.String[] rita.wordnet.RiWordnet.getWildcardMatch(java.lang.String,java.lang.String,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getWildcardMatch(java.lang.String,java.lang.String)

getWildcardMatch <-
function(word, pos, maxResults = MAX_INT)
    as.character(.jcall(wordnet(), "[S", "getWildcardMatch",
                        to_str(word), to_str(pos), to_int(maxResults)))

## Returns up to maxResults of the specified pos  matching a wildcard
## pattern.

