wordnet <-
local({
    wn <- NULL
    function(new, ...) {
        if (!missing(new))
            wn <<- new
        else
            wn
    }
})



.onLoad <-
function(libname, pkgname)
{
    ## RiTa.WordNet does
    ## ./rita/wordnet/RiWordnet.java:
    ##    System.out.println("[INFO] RiTa.WordNet.version [" + VERSION + "]");
    ## which cannot easily be redirected to R's message connection.
    ## Hence, capture the Java messages directly.
    
    bos <- .jnew("java/io/ByteArrayOutputStream")
    out <- .jfield("java/lang/System", , "out")
    .jcall("java/lang/System", "V", "setOut",
           .jnew("java/io/PrintStream",
                 .jcast(bos,"java/io/OutputStream")))

    wn <- .jnew("rita.wordnet.RiWordnet")

    ## And stop redirecting Java messages.
    .jcall("java/lang/System", "V", "setOut", out)

    msg <- .jcall(bos, "Ljava/lang/String;", "toString")

    packageStartupMessage(msg)
    
    wordnet(wn)
}
