## See http://www.rednoise.org/rita/wordnet/documentation/riwordnet_class_riwordnet.htm.

## public java.lang.String rita.wordnet.RiWordnet.getGloss(java.lang.String,java.lang.String)
## public java.lang.String rita.wordnet.RiWordnet.getGloss(int)
## public java.lang.String[] rita.wordnet.RiWordnet.getAllGlosses(java.lang.String,java.lang.String)

## public java.lang.String rita.wordnet.RiWordnet.getDescription(int)
## public java.lang.String rita.wordnet.RiWordnet.getDescription(java.lang.String,java.lang.String)

getDescription <-
function(x, pos)
{
    if(is.numeric(x))
        .jcall(wordnet(), "S", "getDescription",
               to_int(x))
    else
        .jcall(wordnet(), "S", "getDescription",
               to_str(x), to_str(pos))
}

## Returns description for word with pos or null if not found

## public java.lang.String[] rita.wordnet.RiWordnet.getExamples(java.lang.CharSequence,java.lang.CharSequence)
## public java.lang.String[] rita.wordnet.RiWordnet.getExamples(int)
## public java.lang.String rita.wordnet.RiWordnet.getAnyExample(java.lang.CharSequence,java.lang.CharSequence)
## public java.lang.String[] rita.wordnet.RiWordnet.getAllExamples(java.lang.CharSequence,java.lang.CharSequence)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllSynonyms(int,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getAllSynonyms(int)
## public java.lang.String[] rita.wordnet.RiWordnet.getAllSynonyms(java.lang.String,java.lang.String,int)
## public java.lang.String[]
## rita.wordnet.RiWordnet.getAllSynonyms(java.lang.String,java.lang.String)

getAllSynonyms <-
function(x, pos, maxResults = MAX_INT)
{
    if(is.numeric(x))
        .jcall(wordnet(), "[S", "getAllSynonyms",
               to_int(x),
               to_int(maxResults))
    else
        .jcall(wordnet(), "[S", "getAllSynonyms",
               to_str(x),
               to_str(pos),
               to_int(maxResults))
}

## Returns an unordered String[] containing the synset, hyponyms,
## similars, alsoSees, and coordinate terms (checking each in order) for
## all senses of word with pos, or null if not found


## public java.lang.String[] rita.wordnet.RiWordnet.getSynset(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getSynset(java.lang.String,java.lang.String,boolean)
## public java.lang.String[] rita.wordnet.RiWordnet.getSynset(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getHyponymTree(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getSimilar(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getSimilar(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getCoordinates(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getCoordinates(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getAlsoSees(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getAlsoSees(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getSynonyms(java.lang.String,java.lang.String,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getSynonyms(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getHypernyms(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getHypernyms(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllSynsets(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllHyponyms(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllSimilar(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllAlsoSees(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllCoordinates(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getCommonParents(java.lang.String,java.lang.String,java.lang.String)
## public net.didion.jwnl.data.Synset rita.wordnet.RiWordnet.getCommonParent(int,int) throws net.didion.jwnl.JWNLException

## public java.lang.String[] rita.wordnet.RiWordnet.getAntonyms(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getAntonyms(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllAntonyms(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllHypernyms(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getHypernymTree(int) throws net.didion.jwnl.JWNLException

## public java.lang.String[] rita.wordnet.RiWordnet.getHyponyms(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getHyponyms(int)

## public float rita.wordnet.RiWordnet.getDistance(java.lang.String,java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getMeronyms(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getMeronyms(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllMeronyms(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getHolonyms(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getHolonyms(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllHolonyms(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getVerbGroup(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getVerbGroup(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllVerbGroups(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getDerivedTerms(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getDerivedTerms(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllDerivedTerms(java.lang.String,java.lang.String)

## public java.lang.String[] rita.wordnet.RiWordnet.getNominalizations(java.lang.String,java.lang.String)
## public java.lang.String[] rita.wordnet.RiWordnet.getNominalizations(int)

## public java.lang.String[] rita.wordnet.RiWordnet.getAllNominalizations(java.lang.String,java.lang.String)

## public java.lang.String rita.wordnet.RiWordnet.getRandomExample(java.lang.CharSequence)
## public java.lang.String[] rita.wordnet.RiWordnet.getRandomExamples(java.lang.CharSequence,int)
## public java.lang.String[] rita.wordnet.RiWordnet.getRandomWords(java.lang.CharSequence,int)
## public java.lang.String rita.wordnet.RiWordnet.getRandomWord(java.lang.CharSequence)
## public java.lang.String rita.wordnet.RiWordnet.getRandomWord(java.lang.CharSequence,boolean,int)
